com.thinkaurelius.titan.graphdb.database.management

## Enum MgmtLogType

- java.lang.Object
- - java.lang.Enum<MgmtLogType>
  - - com.thinkaurelius.titan.graphdb.database.management.MgmtLogType

- All Implemented Interfaces:
    Serializable, Comparable<MgmtLogType>

      public enum MgmtLogType
      extends Enum<MgmtLogType>

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CACHED_TYPE_EVICTION`
    `CACHED_TYPE_EVICTION_ACK`
    `CONFIG_MUTATION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MgmtLogType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MgmtLogType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CACHED_TYPE_EVICTION

          public static final MgmtLogType CACHED_TYPE_EVICTION

    - #### CACHED_TYPE_EVICTION_ACK

          public static final MgmtLogType CACHED_TYPE_EVICTION_ACK

    - #### CONFIG_MUTATION

          public static final MgmtLogType CONFIG_MUTATION

  - ### Method Detail

    - #### values

          public static MgmtLogType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MgmtLogType c : MgmtLogType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MgmtLogType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2012–2014. All rights reserved.